# MIXED

This section allows to use any function of the energy subsystems in a mixed_env calculation as a collective variable. [Edit on GitHub]

## Keywords

- DX

- ENERGY_FUNCTION

- ERROR_LIMIT

- PARAMETERS

- UNITS

- VALUES

- VARIABLES

## Keyword descriptions

DX: real = 1.00000000E-001 [bohr]

  Usage: DX <REAL>

  Parameter used for computing the derivative with the Ridders’ method. [Edit on GitHub]

ENERGY_FUNCTION: string

  Usage: ENERGY_FUNCTION (E1+E2-LOG(E1/E2))

  Specifies the functional form of the collective variable in mathematical notation. [Edit on GitHub]

ERROR_LIMIT: real = 1.00000000E-012

  Usage: ERROR_LIMIT <REAL>

  Checks that the error in computing the derivative is not larger than the value set; in case error is larger a warning message is printed. [Edit on GitHub]

PARAMETERS: string[ ]

  Keyword can be repeated.

  Usage: PARAMETERS a b D

  Defines the parameters of the functional form [Edit on GitHub]

UNITS: string[ ]

  Keyword can be repeated.

  Usage: UNITS angstrom eV*angstrom^-1 angstrom^1 K

  Optionally, allows to define valid CP2K unit strings for each parameter value. It is assumed that the corresponding parameter value is specified in this unit. [Edit on GitHub]

VALUES: real[ ] = [internal_cp2k]

  Keyword can be repeated.

  Usage: VALUES

  Defines the values of parameter of the functional form [Edit on GitHub]

VARIABLES: string[ ]

  Usage: VARIABLES x

  Defines the variables of the functional form. To allow an efficient mapping the order of the energy variables will be considered identical to the order of the force_eval in the force_eval_order list. [Edit on GitHub]